Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 51)
@@ -22,6 +22,7 @@
 using ProcessManagement.Forms.DataEntry;
 using ProcessManagement.Forms.ControlsAction;
 using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.SubForms;
 
 namespace ProcessManagement.Forms
 {
@@ -55,6 +56,7 @@
         {
             foreach (Control work in TopControl)
             {
+                if (!work.GetType().Equals(typeof(Button))) continue;
                 string namework = work.Name;
                 if (work.Text.Length == 0) work.Visible = false;
             }
@@ -76,36 +78,38 @@
                 int Tabcount = MenuTabName[wrkname];
                 switch (Tabcount)
                 {
-                    case (int)FrmMenuTabNameEnum.MessageBoard:
+                    case (int)TabNameEnum.BusinessMessage:
+                        ClearGridSortStatus(dgvBusinessMessage);
                         break;
-                    case (int)FrmMenuTabNameEnum.BusinessMessage:
+                    case (int)TabNameEnum.MessageBoard:
+                        ClearGridSortStatus(dgvMessageBoard);
                         break;
-                    case (int)FrmMenuTabNameEnum.Tenders:
-                        ClearGridSortStatus(dgvTenders);                                    // ソート退避エリアクリア
+                    case (int)TabNameEnum.DocumentApproval:
+                        ClearGridSortStatus(dgvApproval);
                         break;
-                    case (int)FrmMenuTabNameEnum.BudgetUpProjects:
-                        ClearGridSortStatus(dgvApproval);                           // ソート退避エリアクリア
+                    case (int)TabNameEnum.SalesInProjects:
+                        ClearGridSortStatus(dgvSalesInProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.SalesInProjects:
-                        ClearGridSortStatus(dgvSalesInProjects);                            // ソート退避エリアクリア
+                    case (int)TabNameEnum.Tenders:
+                        ClearGridSortStatus(dgvTenders);
                         break;
-                    case (int)FrmMenuTabNameEnum.ConstructionProjects:
-                        ClearGridSortStatus(dgvConstructionProjects);                       // ソート退避エリアクリア
+                    case (int)TabNameEnum.BudgetUpProjects:
+                        ClearGridSortStatus(dgvApproval);
                         break;
-                    case (int)FrmMenuTabNameEnum.NonOrders:
-                        ClearGridSortStatus(dgvNonOrders);                                  // ソート退避エリアクリア
+                    case (int)TabNameEnum.ConstructionProjects:
+                        ClearGridSortStatus(dgvConstructionProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
-                        ClearGridSortStatus(dgvCompletionOfConstruction);                   // ソート退避エリアクリア
+                    case (int)TabNameEnum.FluctuationProjects:
+                        ClearGridSortStatus(dgvFluctuationProjects);
                         break;
-                    case (int)FrmMenuTabNameEnum.ActionSchedule:
+                    case (int)TabNameEnum.NonOrders:
+                        ClearGridSortStatus(dgvNonOrders);
                         break;
-                    case (int)FrmMenuTabNameEnum.StaffAssignment:
+                    case (int)TabNameEnum.CompletionOfConstruction:
+                        ClearGridSortStatus(dgvCompletionOfConstruction);
                         break;
-                    case (int)FrmMenuTabNameEnum.SalesGraph:
+                    default:
                         break;
-                    case (int)FrmMenuTabNameEnum.DocumentApproval:
-                        break;
                 }
             }
             catch (Exception ex)
@@ -126,6 +130,9 @@
                 // 選択無は処理しない
                 if (tabMenu.SelectedTab == null) return;
 
+                // ソートクリア
+                ClearGridSort();
+
                 // データコピーボタン非表示
                 btnDataCopyE.Visible = false;
 
@@ -133,59 +140,59 @@
                 int Tabcount = MenuTabName[wrkname];
                 switch (Tabcount)
                 {
-                    case (int)FrmMenuTabNameEnum.MessageBoard:
+                    case (int)TabNameEnum.MessageBoard:
                         // 掲示板データ表示
-                        DispMessageBoard((int)FrmMenuTabNameEnum.MessageBoard);
+                        DispMessageBoard((int)TabNameEnum.MessageBoard);
                         break;
-                    case (int)FrmMenuTabNameEnum.BusinessMessage:
+                    case (int)TabNameEnum.BusinessMessage:
                         // 業務連絡掲示板表示
-                        DispMessageBoard((int)FrmMenuTabNameEnum.BusinessMessage);
+                        DispMessageBoard((int)TabNameEnum.BusinessMessage);
                         break;
-                    case (int)FrmMenuTabNameEnum.Tenders:
+                    case (int)TabNameEnum.Tenders:
                         // 入札案件一覧情報表示
                         DispTenders();
                         break;
-                    case (int)FrmMenuTabNameEnum.BudgetUpProjects:
+                    case (int)TabNameEnum.BudgetUpProjects:
                         // 予算取り案件一覧情報表示
                         DispBudgetUpProjects();
                         break;
-                    case (int)FrmMenuTabNameEnum.SalesInProjects:
+                    case (int)TabNameEnum.SalesInProjects:
                         // 工事案件一覧情報表示
                         DispSalesInProjects();
                         break;
-                    case (int)FrmMenuTabNameEnum.ConstructionProjects:
+                    case (int)TabNameEnum.ConstructionProjects:
                         // 受注状況一覧表示
                         DispConstructionProjects();
                         btnDataCopyE.Visible = true;
                         break;
-                    case (int)FrmMenuTabNameEnum.FluctuationProjects:
+                    case (int)TabNameEnum.FluctuationProjects:
                         // 増減工事状況一覧表示
                         DispFluctuationProjects();
                         break;
-                    case (int)FrmMenuTabNameEnum.NonOrders:
+                    case (int)TabNameEnum.NonOrders:
                         // 非受注一覧
                         SetInitNumUDData(numUDNonOrder);        // 営業期選択ボックス初期設定
                         DispNonOrders();
                         break;
-                    case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
+                    case (int)TabNameEnum.CompletionOfConstruction:
                         // 完了工事一覧
                         SetInitNumUDData(numUDCompletion);      // 営業期選択ボックス初期設定
                         DispCompletionOfConstruction();
                         btnDataCopyE.Visible = true;
                         break;
-                    case (int)FrmMenuTabNameEnum.ActionSchedule:
+                    case (int)TabNameEnum.ActionSchedule:
                         // 行動予定一覧
                         DispActionList();
                         break;
-                    case (int)FrmMenuTabNameEnum.StaffAssignment:
+                    case (int)TabNameEnum.StaffAssignment:
                         // 人員配置一覧
                         DispStaffAssignment();
                         break;
-                    case (int)FrmMenuTabNameEnum.SalesGraph:
+                    case (int)TabNameEnum.SalesGraph:
                         // 売上グラフ
                         DispSalesGraph();
                         break;
-                    case (int)FrmMenuTabNameEnum.DocumentApproval:
+                    case (int)TabNameEnum.DocumentApproval:
                         // 書類承認
                         DispDocumentApproval();
                         break;
@@ -198,78 +205,249 @@
         }
         #endregion
 
-        #region タブページ表示制御
+        #region 旧マスタメンテナンスタブ表示制御
+        ///// <summary>
+        ///// 旧マスタメンテナンスタブ表示制御
+        ///// </summary>
+        //private void DisplayOldMenteTab()
+        //{
+        //    try
+        //    {
+        //        int SecurityCode = CommonMotions.LoginUserData.SecurityManagement;
+        //        tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = OldMentenanceColor[SecurityCode];
+        //        tblLayoutMaster.BackColor = OldMentenanceColor[SecurityCode];
+
+        //        tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].Text = CommonDefine.SystemManageDiv[(SecurityCode - 1)].Value + "マスタ";
+
+        //        int[,] BtnDspFlg = null;
+        //        int Sec1 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key;
+        //        int Sec2 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key;
+        //        int Sec3 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
+        //        int Sec4 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+
+        //        if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec1)
+        //        {
+        //            BtnDspFlg = DspMentenance1;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec2)
+        //        {
+        //            BtnDspFlg = DspMentenance2;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec3)
+        //        {
+        //            BtnDspFlg = DspMentenance3;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec4)
+        //        {
+        //            BtnDspFlg = DspMentenance4;
+        //        }
+
+        //        bool bCreateLine = false;
+        //        bool bFisrt = true;
+        //        ProcessExcute wrkRec = new ProcessExcute();
+        //        // 起動処理に設定されているかをチェックする
+        //        for (int iy = 0; iy < MentenanceMenuButton.GetLength(0); iy++)
+        //        {
+        //            bCreateLine = false;
+        //            for (int ix = 0; ix < MentenanceMenuButton.GetLength(1); ix++)
+        //            {
+        //                if (BtnDspFlg[iy, ix] == 0) continue;
+        //                // 新規時は行を作成する
+        //                if (!bCreateLine)
+        //                {
+        //                    if (!bFisrt) TableLayoutRowAdd(tblLayoutMaster);
+        //                    bFisrt = false;
+        //                }
+        //                wrkRec.ExecCode = MentenanceMenuButton[iy, ix];
+        //                // ボタンを作成する
+        //                ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, 44);
+
+        //                bCreateLine = true;
+        //            }
+        //        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
+        #endregion
+
+        #region マスタメンテナンスタブ表示制御
         /// <summary>
-        /// 表示画面設定
+        /// マスタメンテナンスタブ表示制御
         /// </summary>
-        private void DisplayScreenSetup()
+        private void DisplayDataMenteTab()
         {
             try
             {
+                // 行を削除して初期状態に戻す
+                for (int i = tblLayoutMaster.RowCount - 1; i >= 0; i--)
+                {
+                    TableLayoutRowRemove(tblLayoutMaster, i);
+                }
+                tblLayoutMaster.Height = s_MentenanceRowHeight;
+                m_MentenanceButton.Clear();
+
+                //// チェック配列をセットする
+                //// 旧セキュリティを使用している場合はパターンを変える
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    DisplayOldMenteTab();
+                //    return;
+                //}
+
+                Color SelectColor = CommonMotions.getBackForeColor(CommonMotions.LoginUserSecurity.SelectBackColor, CommonDefine.PalceOfColor.BackColor);
+                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = SelectColor;
+                tblLayoutMaster.BackColor = SelectColor;
+
+                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].Text = CommonMotions.LoginUserSecurity.SecName + "マスタ";
+
+                // ボタンの作成
+                bool bCreateLine = false;
+                bool bFisrt = true;
+                // 起動処理に設定されているかをチェックする
+                for (int iy = 0; iy < MentenanceMenuButton.GetLength(0); iy++)
+                {
+                    bCreateLine = false;
+                    for (int ix = 0; ix < MentenanceMenuButton.GetLength(1); ix++)
+                    {
+                        foreach (ProcessExcute wrkRec in CommonMotions.LoginUserProcExe)
+                        {
+                            // マスタメンテナンス以外は処理しない
+                            if (wrkRec.ExecCode < (int)ClsExcute.MaintenanceExecuteNo.System) continue;
+                            if (MentenanceMenuButton[iy, ix] == wrkRec.ExecCode)
+                            {
+                                // 新規時は行を作成する
+                                if (!bCreateLine)
+                                {
+                                    if (!bFisrt) TableLayoutRowAdd(tblLayoutMaster);
+                                    bFisrt = false;
+                                }
+                                // ボタンを作成する
+                                ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, 44);
+
+                                bCreateLine = true;
+                                break;
+                            }
+                        }
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 受注管理タブメニュー表示制御
+        /// <summary>
+        /// 受注管理タブメニュー表示制御
+        /// </summary>
+        private void DisplayOrdersTab()
+        {
+            try
+            {
+                int None = (int)CommonDefine.SecurityRangePos.None;                 // 担当のみ
+                if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[None].Key)
+                {
+                    btnOrder0300.Text = string.Empty;
+                    btnOrder0301.Text = string.Empty;
+                }
+
                 // 使用しないボタンを消す
                 // 受注管理
                 ButtonControlVisibleSet(tblLayoutOrder.Controls);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工管理タブメニュー表示制御
+        /// <summary>
+        /// 施工管理タブメニュー表示制御
+        /// </summary>
+        private void DisplayConstructionTab()
+        {
+            try
+            {
+                // 使用しないボタンを消す
                 // 施工管理
                 ButtonControlVisibleSet(tblLayoutConstruction.Controls);
-                // 請求管理
-                ButtonControlVisibleSet(tblLayoutBilling.Controls);
-                // マスタメンテ
-                ButtonControlVisibleSet(tblLayoutMaster.Controls);
-                // マスタメンテ
-                ButtonControlVisibleSet(tblLayoutMaster1.Controls);
-                // マスタメンテ2
-                ButtonControlVisibleSet(tblLayoutMaster2.Controls);
-                // マスタメンテ3
-                ButtonControlVisibleSet(tblLayoutMaster3.Controls);
-                // 各種提出書類
-                ButtonControlVisibleSet(tableLayoutDocuments.Controls);
-                // 総務管理
-                ButtonControlVisibleSet(tableLayoutAffairs.Controls);
 
-                // メニュータブを最初の状態へ戻す
-                for (int i = 0; i < m_tabManager.PageArray.Length; i++)
-                {
-                    m_tabManager.PageArray[i].Visible = true;
-                }
+                tblLayoutConstruction.Width = pnlConstruction.Width - 20;
 
-                // システム権限によって表示メニューを変更する
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                // 一般ユーザーは出納帳入力を表示しない
+                if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
                 {
-                    // システム管理者（すべて対象）
+                    label63.Visible = false;
+                    label64.Visible = false;
+                    btnConstruction1200.Visible = false;
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                else
                 {
-                    // 最高機密管理者（すべて対象）
-                    // 不要マスタ画面は表示しない
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu1, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu2, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu3, false);
+                    label63.Visible = true;
+                    label64.Visible = true;
+                    btnConstruction1200.Visible = true;
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                {
-                    // 統括機密管理者（機能制限）
-                    // 不要マスタ画面は表示しない
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu2, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu3, false);
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                {
-                    // 機密管理者（機能制限）
-                    // 不要マスタ画面は表示しない
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu1, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu3, false);
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {
-                    // 一般ユーザー（機能制限）
-                    // マスタ画面は表示しない
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu1, false);
-                    m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MentenanceMenu2, false);
-                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
+        #region 総務管理タブメニュー表示制御
+        /// <summary>
+        /// 総務管理タブメニュー表示制御
+        /// </summary>
+        private void DisplayAffairsTab()
+        {
+            try
+            {
+                // 使用しないボタンを消す
+                // 総務管理
+                ButtonControlVisibleSet(tableLayoutAffairs.Controls);
+
+                tableLayoutAffairs.Width = pnlAffairs.Width - 20;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region タブページ表示制御
+        /// <summary>
+        /// 表示画面設定
+        /// </summary>
+        private void DisplayScreenSetup()
+        {
+            try
+            {
+                // 使用しないボタンを消す
+                // 各種提出書類
+                ButtonControlVisibleSet(tableLayoutDocuments.Controls);
+
+                // 受注管理
+                DisplayOrdersTab();
+
+                // 施工管理
+                DisplayConstructionTab();
+
+                // 総務管理
+                DisplayAffairsTab();
+
+                // マスタメンテナンス
+                DisplayDataMenteTab();
+
                 // ------ ファイル情報取得
                 m_VersionInfo = CommonMotions.ProductVersionInfo;
                 // タイトルの表示
@@ -291,17 +469,145 @@
                 // デバッグ時バージョン情報表示
                 //if (!ClsCommonDefine.ProductionExecution)
                 //    DispConsoleVersionInof();
+
+                // 先頭タブへ戻る
+                tabMenu.SelectedIndex = 0;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+        }
+        #endregion
+
+        #region テーブルレイアウトの行を削除する
+        /// <summary>
+        /// テーブルレイアウトの行を削除する
+        /// </summary>
+        /// <param name="tlp"></param>
+        /// <param name="removeRow"></param>
+        private void TableLayoutRowRemove(TableLayoutPanel tlp, int removeRow)
+        {
+            try
+            {
+                tlp.SuspendLayout();
+
+                // コントロールのセルポジションをセットする
+                foreach (Control c in tlp.Controls)
+                {
+                    TableLayoutPanelCellPosition pos = tlp.GetPositionFromControl(c);
+                    tlp.SetCellPosition(c, pos);
+                    if (tlp.RowCount <= pos.Row) tlp.RowCount = pos.Row + 1;
+                    if (tlp.ColumnCount <= pos.Column) tlp.ColumnCount = pos.Column + 1;
+                }
+
+                //削除する列にあるコントロールを削除
+                for (int x = 0; x < tlp.ColumnCount; x++)
+                {
+                    Control c = tlp.GetControlFromPosition(x, removeRow);
+                    if (c != null)
+                    {
+                        tlp.Controls.Remove(c);
+                        c.Dispose();
+                    }
+                }
+
+                //コントロールを移動
+                for (int y = removeRow + 1; y < tlp.RowCount; y++)
+                {
+                    for (int x = 0; x < tlp.ColumnCount; x++)
+                    {
+                        Control c = tlp.GetControlFromPosition(x, y);
+                        if (c != null)
+                        {
+                            tlp.SetCellPosition(c, new TableLayoutPanelCellPosition(x, y - 1));
+                        }
+                    }
+                }
+
+                if (tlp.RowCount > 1)
+                {
+                    //列を減らす
+                    tlp.RowCount--;
+                    //スタイルを削除
+                    tlp.RowStyles.RemoveAt(removeRow);
+                }
+                tlp.ResumeLayout();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region テーブルレイアウトの行を増やす
+        /// <summary>
+        /// テーブルレイアウトの行を増やす
+        /// </summary>
+        /// <param name="tlp"></param>
+        private void TableLayoutRowAdd(TableLayoutPanel tlp)
+        {
+            tlp.SuspendLayout(); // レイアウト一時中断
+            try
+            {
+
+                tlp.RowCount++;                                                                                     // tableLayoutPanelの行を追加します
+                tlp.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, s_MentenanceRowHeight));   // 追加した行の高さを指定。
+                tlp.RowCount++;                                                                                     // tableLayoutPanelの行を追加します
+                tlp.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, s_MentenanceRowHeight));   // 追加した行の高さを指定。
+
+                // tableLayoutPanel自体にも高さを加える
+                tlp.Height += s_MentenanceRowHeight;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
             finally
             {
+                // レイアウトロジックの再開
+                tlp.ResumeLayout();
             }
         }
         #endregion
 
+        #region ボタンを追加する
+        /// <summary>
+        /// ボタンを追加する
+        /// </summary>
+        /// <param name="tlp"></param>
+        /// <param name="ColCnt"></param>
+        /// <param name="wrkRec"></param>
+        private void ButtonAdd(TableLayoutPanel tlp, int ColCnt, ProcessExcute wrkRec, int btnWidth, int btnHeight)
+        {
+            try
+            {
+                int Rowcnt = tlp.RowCount - 1;
+
+                // ボタン作成
+                Button btn = new Button();
+                btn.Anchor = AnchorStyles.Top | AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Right;
+                btn.Location = new System.Drawing.Point(ColCnt, Rowcnt);
+                btn.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
+                btn.Name = wrkRec.ExecCode.ToString();
+                btn.Size = new System.Drawing.Size(btnWidth, btnHeight);
+                btn.TabIndex = 0;
+                btn.TabStop = false;
+                btn.Text = ClsExcute.MaintenanceExecuteName[wrkRec.ExecCode];
+                btn.UseVisualStyleBackColor = true;
+                btn.Click += new System.EventHandler(this.btnMaster_Click);
+
+                tlp.Controls.Add(btn, ColCnt, Rowcnt);
+                m_MentenanceButton.Add(btn);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 画面サイズ変更時
         /// <summary>
         /// 画面サイズ変更時のセルサイズ変更
@@ -373,60 +679,54 @@
         private DialogResult LoginAction()
         {
             IOMPersonInCharge pmDB = new IOMPersonInCharge();
+            IOMSecurity secDB = new IOMSecurity();
+            IOMProcessExcute execDB = new IOMProcessExcute();
             FrmLogin frm = new FrmLogin();
             try
             {
                 DialogResult drRet = DialogResult.OK;
-                // 起動時ユーザー定義
-                PersonInChargeMaster LoginUser = new PersonInChargeMaster();
 
-                if (CommonMotions.ProductionExecution)
-                {// 実地起動
+                // ----- デバッグ起動はログイン無
+                if (!CommonMotions.ProductionExecution)
+                {
+                    InitAdministrator();
+                    return drRet;
+                }
 
-                    // ログイン画面
-                    frm.ShowDialog();
-                    // 終了状態取得
-                    drRet = frm.EndButton;
-
+                // ----- 実地起動
+                // ログイン画面
+                frm.ShowDialog();
+                // 終了状態取得
+                if ((drRet = frm.EndButton) == DialogResult.No) 
+                {
                     // ログインから終了を選ぶと終了する
-                    if (drRet == DialogResult.No)
-                    {
-                        return drRet;
-                    }
-                    // システム管理者以外でログインした場合はもう一度マスタ読込チェックを行う
-                    if (CommonMotions.LoginUserData.PersonName != CommonDefine.AdminUser)
-                    {
-                        // ログインユーザー情報取得
-                        string strSQL = pmDB.CreatePrimarykeyString(CommonMotions.LoginUserData.PersonCode);
-                        if (!pmDB.SelectAction(strSQL, ref LoginUser))
-                        {
-                            return DialogResult.No;
-                        }
-                    }
-                    else
-                    {   // sys Admin ログイン
-                        LoginUser.PersonCode = CommonDefine.AdminCode;
-                        LoginUser.PersonName = CommonDefine.AdminUser;
-                        LoginUser.PassWord = CommonDefine.AdminPass;
-                        LoginUser.MsgBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.Gold.R, Color.Gold.G, Color.Gold.B);
-
-                        LoginUser.SecurityManagement = CommonDefine.AdminSecurityManagement;
-                    }
+                    return drRet;
                 }
-                else
-                {   // デバック起動
+                
+                // システム管理者としてのログイン
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                {
+                    InitAdministrator();
+                    return drRet;
+                }
 
-                    LoginUser.PersonCode = CommonDefine.AdminCode;
-                    LoginUser.PersonName = CommonDefine.AdminUser;
-                    LoginUser.PassWord = CommonDefine.AdminPass;
-                    LoginUser.SecurityManagement = CommonDefine.AdminSecurityManagement;
+                // ----- ユーザーとしてのログイン
+                // セキュリティデータ取得
+                SecurityMaster secRec = new SecurityMaster();
+                string strSec = secDB.CreatePrimarykeyString(CommonMotions.LoginUserData.SecCode);
+                secDB.SelectAction(strSec, ref secRec);
+                CommonMotions.LoginUserSecurity = secRec;
+
+                // 起動データ取得
+                List<ProcessExcute> exeList = new List<ProcessExcute>();
+                string strExe = execDB.CreatePrimarykeyString(CommonMotions.LoginUserData.SecCode) + " ORDER BY EXECCODE";
+                execDB.SelectAction(strExe, ref exeList);
+                CommonMotions.LoginUserProcExe.Clear();
+                foreach (ProcessExcute wrkRec in exeList)
+                {
+                    CommonMotions.LoginUserProcExe.Add(wrkRec);
                 }
-                // ログインデータセット
-                CommonMotions.LoginUserData = LoginUser;
 
-                // 表示画面設定
-                DisplayScreenSetup();
-
                 return drRet;
             }
             catch (Exception ex)
